Visit The New, Modern Unix Linux Community


Yum update error


 
Thread Tools Search this Thread
Operating Systems Linux Fedora Yum update error
# 1  
Yum update error

Hello,

I issued
Code:
# yum update

and received below error. Any idea?

Code:
# yum update
Loaded plugins: fastestmirror, universal-hooks
Setting up Update Process
Loading mirror speeds from cached hostfile
 * cpanel-addons-production-feed: 204.10.37.146
 * base: mirrors.oit.uci.edu
 * extras: centos-distro.1gservers.com
 * updates: centos-distro.1gservers.com
Resolving Dependencies
--> Running transaction check
---> Package ORBit2.x86_64 0:2.14.17-6.el6_8 will be updated
---> Package ORBit2.x86_64 0:2.14.17-7.el6 will be an update
---> Package bind.x86_64 32:9.8.2-0.62.rc1.el6_9.5 will be updated
---> Package bind.x86_64 32:9.8.2-0.68.rc1.el6_10.1 will be an update
---> Package bind-devel.x86_64 32:9.8.2-0.62.rc1.el6_9.5 will be updated
---> Package bind-devel.x86_64 32:9.8.2-0.68.rc1.el6_10.1 will be an update
---> Package bind-libs.x86_64 32:9.8.2-0.62.rc1.el6_9.5 will be updated
---> Package bind-libs.x86_64 32:9.8.2-0.68.rc1.el6_10.1 will be an update
---> Package bind-utils.x86_64 32:9.8.2-0.62.rc1.el6_9.5 will be updated
---> Package bind-utils.x86_64 32:9.8.2-0.68.rc1.el6_10.1 will be an update
---> Package ca-certificates.noarch 0:2017.2.14-65.0.1.el6_9 will be updated
---> Package ca-certificates.noarch 0:2018.2.22-65.1.el6 will be an update
---> Package centos-release.x86_64 0:6-9.el6.12.3 will be updated
---> Package centos-release.x86_64 0:6-10.el6.centos.12.3 will be an update
---> Package cpanel-dovecot-solr.noarch 0:6.6.2-5.1 will be updated
---> Package cpanel-dovecot-solr.noarch 0:6.6.2-8.1 will be an update
--> Processing Dependency: cpanel-dovecot-solr-server = 6.6.2-8.1 for package: cpanel-dovecot-solr-6.6.2-8.1.noarch
--> Processing Dependency: cpanel-dovecot-solr-docs = 6.6.2-8.1 for package: cpanel-dovecot-solr-6.6.2-8.1.noarch
--> Processing Dependency: cpanel-dovecot-solr-contrib-extraction = 6.6.2-8.1 for package: cpanel-dovecot-solr-6.6.2-8.1.noarch
--> Processing Dependency: cpanel-dovecot-solr-contrib = 6.6.2-8.1 for package: cpanel-dovecot-solr-6.6.2-8.1.noarch
--> Processing Dependency: cpanel-dovecot-solr-server for package: cpanel-dovecot-solr-6.6.2-8.1.noarch
--> Processing Dependency: cpanel-dovecot-solr-server for package: cpanel-dovecot-solr-6.6.2-8.1.noarch
---> Package cpanel-wordpress-instance-manager-plugin.noarch 0:1.1.6-1.1.1.cpanel will be updated
---> Package cpanel-wordpress-instance-manager-plugin.noarch 0:1.1.6-2.2.1.cpanel will be updated
---> Package cpanel-wordpress-instance-manager-plugin.noarch 0:2.0.0-1.1.1.cpanel will be an update
---> Package cups-libs.x86_64 1:1.4.2-78.el6_9 will be updated
---> Package cups-libs.x86_64 1:1.4.2-79.el6 will be an update
---> Package dbus.x86_64 1:1.2.24-8.el6_6 will be updated
---> Package dbus.x86_64 1:1.2.24-9.el6 will be an update
---> Package dbus-libs.x86_64 1:1.2.24-8.el6_6 will be updated
---> Package dbus-libs.x86_64 1:1.2.24-9.el6 will be an update
---> Package dhclient.x86_64 12:4.1.1-53.P1.el6.centos.4 will be updated
---> Package dhclient.x86_64 12:4.1.1-63.P1.el6.centos will be an update
---> Package dhcp-common.x86_64 12:4.1.1-53.P1.el6.centos.4 will be updated
---> Package dhcp-common.x86_64 12:4.1.1-63.P1.el6.centos will be an update
---> Package glib2.i686 0:2.28.8-9.el6 will be updated
---> Package glib2.x86_64 0:2.28.8-9.el6 will be updated
---> Package glib2.i686 0:2.28.8-10.el6 will be an update
---> Package glib2.x86_64 0:2.28.8-10.el6 will be an update
---> Package gmp.x86_64 0:4.3.1-12.el6 will be updated
---> Package gmp.x86_64 0:4.3.1-13.el6 will be an update
---> Package gnupg2.x86_64 0:2.0.14-8.el6 will be updated
---> Package gnupg2.x86_64 0:2.0.14-9.el6_10 will be an update
---> Package gnutls.x86_64 0:2.12.23-21.el6 will be updated
---> Package gnutls.x86_64 0:2.12.23-22.el6 will be an update
---> Package hwdata.noarch 0:0.233-18.1.el6 will be updated
---> Package hwdata.noarch 0:0.233-20.1.el6 will be an update
---> Package initscripts.x86_64 0:9.03.58-1.el6.centos.2 will be updated
---> Package initscripts.x86_64 0:9.03.61-1.el6.centos will be an update
---> Package iproute.x86_64 0:2.6.32-54.el6 will be updated
---> Package iproute.x86_64 0:2.6.32-57.el6 will be an update
---> Package iptables.x86_64 0:1.4.7-16.el6 will be updated
---> Package iptables.x86_64 0:1.4.7-19.el6 will be an update
---> Package iptables-ipv6.x86_64 0:1.4.7-16.el6 will be updated
---> Package iptables-ipv6.x86_64 0:1.4.7-19.el6 will be an update
---> Package jasper-libs.x86_64 0:1.900.1-21.el6_9 will be updated
---> Package jasper-libs.x86_64 0:1.900.1-22.el6 will be an update
---> Package java-1.8.0-openjdk-headless.x86_64 1:1.8.0.161-3.b14.el6_9 will be updated
---> Package java-1.8.0-openjdk-headless.x86_64 1:1.8.0.171-3.b10.el6_9 will be updated
---> Package java-1.8.0-openjdk-headless.x86_64 1:1.8.0.171-8.b10.el6_9 will be updated
---> Package java-1.8.0-openjdk-headless.x86_64 1:1.8.0.191.b12-0.el6_10 will be an update
---> Package kernel-devel.x86_64 0:2.6.32-754.6.3.el6 will be installed
---> Package kernel-headers.x86_64 0:2.6.32-696.30.1.el6 will be updated
---> Package kernel-headers.x86_64 0:2.6.32-754.6.3.el6 will be an update
---> Package libgcj.x86_64 0:4.4.7-18.el6_9.2 will be updated
---> Package libgcj.x86_64 0:4.4.7-23.el6 will be an update
---> Package libnih.x86_64 0:1.0.1-7.el6 will be updated
---> Package libnih.x86_64 0:1.0.1-8.el6 will be an update
---> Package libtirpc.x86_64 0:0.2.1-13.el6_9 will be updated
---> Package libtirpc.x86_64 0:0.2.1-15.el6 will be an update
---> Package mailx.x86_64 0:12.4-8.el6_6 will be updated
---> Package mailx.x86_64 0:12.4-10.el6_10 will be an update
---> Package nspr.x86_64 0:4.13.1-1.el6 will be updated
---> Package nspr.x86_64 0:4.19.0-1.el6 will be an update
---> Package nss.x86_64 0:3.28.4-4.el6_9 will be updated
---> Package nss.x86_64 0:3.36.0-9.el6_10 will be an update
---> Package nss-sysinit.x86_64 0:3.28.4-4.el6_9 will be updated
---> Package nss-sysinit.x86_64 0:3.36.0-9.el6_10 will be an update
---> Package nss-tools.x86_64 0:3.28.4-4.el6_9 will be updated
---> Package nss-tools.x86_64 0:3.36.0-9.el6_10 will be an update
---> Package nss-util.x86_64 0:3.28.4-1.el6_9 will be updated
---> Package nss-util.x86_64 0:3.36.0-1.el6 will be an update
---> Package rpcbind.x86_64 0:0.2.0-13.el6_9.1 will be updated
---> Package rpcbind.x86_64 0:0.2.0-16.el6 will be an update
---> Package rsyslog.x86_64 0:5.8.10-10.el6_6 will be updated
---> Package rsyslog.x86_64 0:5.8.10-12.el6 will be an update
---> Package samba.x86_64 0:3.6.23-46el6_9 will be updated
---> Package samba.x86_64 0:3.6.23-51.el6 will be an update
---> Package samba-client.x86_64 0:3.6.23-46el6_9 will be updated
---> Package samba-client.x86_64 0:3.6.23-51.el6 will be an update
---> Package samba-common.x86_64 0:3.6.23-46el6_9 will be updated
---> Package samba-common.x86_64 0:3.6.23-51.el6 will be an update
---> Package samba-winbind.x86_64 0:3.6.23-46el6_9 will be updated
---> Package samba-winbind.x86_64 0:3.6.23-51.el6 will be an update
---> Package samba-winbind-clients.x86_64 0:3.6.23-46el6_9 will be updated
---> Package samba-winbind-clients.x86_64 0:3.6.23-51.el6 will be an update
---> Package tzdata.noarch 0:2018e-3.el6 will be updated
---> Package tzdata.noarch 0:2018f-1.el6 will be an update
---> Package tzdata-java.noarch 0:2018e-3.el6 will be updated
---> Package tzdata-java.noarch 0:2018f-1.el6 will be an update
---> Package upstart.x86_64 0:0.6.5-16.el6 will be updated
---> Package upstart.x86_64 0:0.6.5-17.el6 will be an update
---> Package wp-cli.noarch 0:1.5.1-2.2.1.cpanel will be updated
---> Package wp-cli.noarch 0:1.5.1-2.2.2.cpanel will be an update
---> Package yum.noarch 0:3.2.29-81.el6.centos will be updated
---> Package yum.noarch 0:3.2.29-81.el6.centos.0.1 will be an update
---> Package yum-plugin-fastestmirror.noarch 0:1.1.30-40.el6 will be updated
---> Package yum-plugin-fastestmirror.noarch 0:1.1.30-42.el6_10 will be an update
---> Package yum-utils.noarch 0:1.1.30-40.el6 will be updated
---> Package yum-utils.noarch 0:1.1.30-42.el6_10 will be an update
---> Package zsh.x86_64 0:4.3.11-4.el6.centos.2 will be updated
---> Package zsh.x86_64 0:4.3.11-9.el6_10 will be an update
--> Running transaction check
---> Package cpanel-dovecot-solr-contrib.noarch 0:6.6.2-8.1 will be installed
---> Package cpanel-dovecot-solr-contrib-extraction.noarch 0:6.6.2-8.1 will be installed
---> Package cpanel-dovecot-solr-docs.noarch 0:6.6.2-8.1 will be installed
---> Package cpanel-dovecot-solr-server.noarch 0:6.6.2-8.1 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

========================================================================================================================================================================
 Package                                                Arch                 Version                                  Repository                                   Size
========================================================================================================================================================================
Installing:
 kernel-devel                                           x86_64               2.6.32-754.6.3.el6                       updates                                      11 M
Updating:
 ORBit2                                                 x86_64               2.14.17-7.el6                            base                                        172 k
 bind                                                   x86_64               32:9.8.2-0.68.rc1.el6_10.1               updates                                     4.0 M
 bind-devel                                             x86_64               32:9.8.2-0.68.rc1.el6_10.1               updates                                     386 k
 bind-libs                                              x86_64               32:9.8.2-0.68.rc1.el6_10.1               updates                                     892 k
 bind-utils                                             x86_64               32:9.8.2-0.68.rc1.el6_10.1               updates                                     189 k
 ca-certificates                                        noarch               2018.2.22-65.1.el6                       base                                        930 k
 centos-release                                         x86_64               6-10.el6.centos.12.3                     base                                         22 k
 cpanel-dovecot-solr                                    noarch               6.6.2-8.1                                cpanel-plugins                               21 M
 cpanel-wordpress-instance-manager-plugin               noarch               2.0.0-1.1.1.cpanel                       cpanel-addons-production-feed               165 k
 cups-libs                                              x86_64               1:1.4.2-79.el6                           base                                        323 k
 dbus                                                   x86_64               1:1.2.24-9.el6                           base                                        211 k
 dbus-libs                                              x86_64               1:1.2.24-9.el6                           base                                        127 k
 dhclient                                               x86_64               12:4.1.1-63.P1.el6.centos                updates                                     323 k
 dhcp-common                                            x86_64               12:4.1.1-63.P1.el6.centos                updates                                     145 k
 glib2                                                  i686                 2.28.8-10.el6                            base                                        1.7 M
 glib2                                                  x86_64               2.28.8-10.el6                            base                                        1.7 M
 gmp                                                    x86_64               4.3.1-13.el6                             base                                        207 k
 gnupg2                                                 x86_64               2.0.14-9.el6_10                          updates                                     1.6 M
 gnutls                                                 x86_64               2.12.23-22.el6                           base                                        389 k
 hwdata                                                 noarch               0.233-20.1.el6                           base                                        1.4 M
 initscripts                                            x86_64               9.03.61-1.el6.centos                     base                                        949 k
 iproute                                                x86_64               2.6.32-57.el6                            base                                        386 k
 iptables                                               x86_64               1.4.7-19.el6                             base                                        255 k
 iptables-ipv6                                          x86_64               1.4.7-19.el6                             base                                        103 k
 jasper-libs                                            x86_64               1.900.1-22.el6                           base                                        139 k
 java-1.8.0-openjdk-headless                            x86_64               1:1.8.0.191.b12-0.el6_10                 updates                                      32 M
 kernel-headers                                         x86_64               2.6.32-754.6.3.el6                       updates                                     4.5 M
 libgcj                                                 x86_64               4.4.7-23.el6                             base                                         19 M
 libnih                                                 x86_64               1.0.1-8.el6                              base                                        138 k
 libtirpc                                               x86_64               0.2.1-15.el6                             base                                         82 k
 mailx                                                  x86_64               12.4-10.el6_10                           updates                                     235 k
 nspr                                                   x86_64               4.19.0-1.el6                             base                                        114 k
 nss                                                    x86_64               3.36.0-9.el6_10                          updates                                     865 k
 nss-sysinit                                            x86_64               3.36.0-9.el6_10                          updates                                      53 k
 nss-tools                                              x86_64               3.36.0-9.el6_10                          updates                                     460 k
 nss-util                                               x86_64               3.36.0-1.el6                             base                                         72 k
 rpcbind                                                x86_64               0.2.0-16.el6                             base                                         51 k
 rsyslog                                                x86_64               5.8.10-12.el6                            base                                        650 k
 samba                                                  x86_64               3.6.23-51.el6                            base                                        5.1 M
 samba-client                                           x86_64               3.6.23-51.el6                            base                                         11 M
 samba-common                                           x86_64               3.6.23-51.el6                            base                                         10 M
 samba-winbind                                          x86_64               3.6.23-51.el6                            base                                        2.2 M
 samba-winbind-clients                                  x86_64               3.6.23-51.el6                            base                                        2.0 M
 tzdata                                                 noarch               2018f-1.el6                              updates                                     498 k
 tzdata-java                                            noarch               2018f-1.el6                              updates                                     186 k
 upstart                                                x86_64               0.6.5-17.el6                             base                                        177 k
 wp-cli                                                 noarch               1.5.1-2.2.2.cpanel                       cpanel-addons-production-feed               895 k
 yum                                                    noarch               3.2.29-81.el6.centos.0.1                 updates                                     1.0 M
 yum-plugin-fastestmirror                               noarch               1.1.30-42.el6_10                         updates                                      33 k
 yum-utils                                              noarch               1.1.30-42.el6_10                         updates                                     114 k
 zsh                                                    x86_64               4.3.11-9.el6_10                          updates                                     2.2 M
Installing for dependencies:
 cpanel-dovecot-solr-contrib                            noarch               6.6.2-8.1                                cpanel-plugins                               30 M
 cpanel-dovecot-solr-contrib-extraction                 noarch               6.6.2-8.1                                cpanel-plugins                               33 M
 cpanel-dovecot-solr-docs                               noarch               6.6.2-8.1                                cpanel-plugins                              4.3 M
 cpanel-dovecot-solr-server                             noarch               6.6.2-8.1                                cpanel-plugins                               51 M

Transaction Summary
========================================================================================================================================================================
Install       5 Package(s)
Upgrade      51 Package(s)

Total size: 260 M
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
/usr/lib/python2.6/site-packages/yum/history.py:763: UnicodeWarning: Unicode equal comparison failed to convert both arguments to Unicode - interpreting them as being unequal
  if checksum == sql_checksum:
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 298, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 227, in main
    return_code = base.doTransaction()
  File "/usr/share/yum-cli/cli.py", line 588, in doTransaction
    resultobject = self.runTransaction(cb=cb)
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 1537, in runTransaction
    self.skipped_packages, rpmdb_problems, cmdline)
  File "/usr/lib/python2.6/site-packages/yum/history.py", line 943, in beg
    pid   = self.pkg2pid(txmbr.po)
  File "/usr/lib/python2.6/site-packages/yum/history.py", line 800, in pkg2pid
    return self._ipkg2pid(po, create)
  File "/usr/lib/python2.6/site-packages/yum/history.py", line 794, in _ipkg2pid
    return self._pkgtup2pid(po.pkgtup, csum, create)
  File "/usr/lib/python2.6/site-packages/yum/history.py", line 777, in _pkgtup2pid
    checksum))
  File "/usr/lib/python2.6/site-packages/yum/sqlutils.py", line 168, in executeSQLQmark
    return cursor.execute(query, params)
sqlite3.ProgrammingError: You must not use 8-bit bytestrings unless you use a text_factory that can interpret 8-bit bytestrings (like text_factory = str). It is highly recommended that you instead just switch your application to Unicode strings.

Some system information:

Code:
# cat /etc/redhat-release
CentOS release 6.9 (Final)
# yum --version
3.2.29
  Installed: rpm-4.8.0-59.el6.x86_64 at 2018-08-03 01:01
  Built    : CentOS BuildSystem <http://bugs.centos.org> at 2018-06-19 15:56
  Committed: Panu Matilainen <pmatilai@redhat.com> at 2018-03-26

  Installed: yum-3.2.29-81.el6.centos.noarch at 2017-04-06 06:02
  Built    : CentOS BuildSystem <http://bugs.centos.org> at 2017-03-22 05:32
  Committed: Johnny Hughes <johnny@centos.org> at 2017-03-21

  Installed: yum-plugin-fastestmirror-1.1.30-40.el6.noarch at 2017-04-06 06:02
  Built    : CentOS BuildSystem <http://bugs.centos.org> at 2017-03-22 04:49
  Committed: Valentina Mukhamedzhanova <vmukhame@redhat.com> at 2016-11-25


Regards,
# 2  
Normally, when I do these kinds of "blanket updates", things break, so I update only the packages I need to update, one at a time.

The "blanket updates" are hard to debug, so I do not recommend them.
This User Gave Thanks to Neo For This Post:
# 3  
After doing one by one package update, I isolate issue to
Code:
cups-libs

Code:
# yum update
Loaded plugins: fastestmirror, universal-hooks
Setting up Update Process
Loading mirror speeds from cached hostfile
 * cpanel-addons-production-feed: 204.10.37.146
 * base: mirrors.oit.uci.edu
 * extras: centos-distro.1gservers.com
 * updates: centos-distro.1gservers.com
Resolving Dependencies
--> Running transaction check
---> Package cups-libs.x86_64 1:1.4.2-78.el6_9 will be updated
---> Package cups-libs.x86_64 1:1.4.2-79.el6 will be an update
--> Finished Dependency Resolution

Dependencies Resolved

========================================================================================================================================================================
 Package                                  Arch                                  Version                                       Repository                           Size
========================================================================================================================================================================
Updating:
 cups-libs                                x86_64                                1:1.4.2-79.el6                                base                                323 k

Transaction Summary
========================================================================================================================================================================
Upgrade       1 Package(s)

Total size: 323 k
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
/usr/lib/python2.6/site-packages/yum/history.py:763: UnicodeWarning: Unicode equal comparison failed to convert both arguments to Unicode - interpreting them as being unequal
  if checksum == sql_checksum:
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 298, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 227, in main
    return_code = base.doTransaction()
  File "/usr/share/yum-cli/cli.py", line 588, in doTransaction
    resultobject = self.runTransaction(cb=cb)
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 1537, in runTransaction
    self.skipped_packages, rpmdb_problems, cmdline)
  File "/usr/lib/python2.6/site-packages/yum/history.py", line 943, in beg
    pid   = self.pkg2pid(txmbr.po)
  File "/usr/lib/python2.6/site-packages/yum/history.py", line 800, in pkg2pid
    return self._ipkg2pid(po, create)
  File "/usr/lib/python2.6/site-packages/yum/history.py", line 794, in _ipkg2pid
    return self._pkgtup2pid(po.pkgtup, csum, create)
  File "/usr/lib/python2.6/site-packages/yum/history.py", line 777, in _pkgtup2pid
    checksum))
  File "/usr/lib/python2.6/site-packages/yum/sqlutils.py", line 168, in executeSQLQmark
    return cursor.execute(query, params)
sqlite3.ProgrammingError: You must not use 8-bit bytestrings unless you use a text_factory that can interpret 8-bit bytestrings (like text_factory = str). It is highly recommended that you instead just switch your application to Unicode strings.

I think my system could live without it.

Thank you Neo!
# 4  
Quote:
Originally Posted by feroccimx
I think my system could live without it.
The problem is known for years and comes from package names that use 8-bit strings instead of UTF. See the thread here. The link also describes a fix.

I thought that was fixed long ago. Is your yum up to date?

I hope this helps.

bakunin

Last edited by bakunin; 11-05-2018 at 11:09 PM..

Previous Thread | Next Thread
Thread Tools Search this Thread
Search this Thread:
Advanced Search

Test Your Knowledge in Computers #416
Difficulty: Medium
JavaScript supports event-driven, functional, and imperative (including object-oriented and prototype-based) programming styles.
True or False?

10 More Discussions You Might Find Interesting

1. UNIX for Beginners Questions & Answers

Installation of virt-manager while yum update and yum install rhvm does not work

I have downloaded RHEV-H 4.2 Red Hat Virtualization - Red Hat Customer Portal (RHVirtualization 4.2 Host and Manager iso). I uploaded the image and installed on an HP G9 server baremetal. I found I dont have a WAN/net connectivity later on HPG9 server. How can I still install virt-manager on... (1 Reply)
Discussion started by: Paras Pandey
1 Replies

2. Red Hat

Unable to perform yum update

Hi, I run RHEL 5.2 as a server in my lab. Now the issue I am facing is that I am unable to update my machine using yum update. It shows an error of missing dependencies though dependencies are already installed. Please help me to do that. Error screen shot is also attached. (9 Replies)
Discussion started by: Ankur Goyal
9 Replies

3. Red Hat

Cant update yum what so ever [Errno 14] HTTP Error 404 - Not Found

Hello!!! I am so frustrated I'm about to snap!!! I cant hear any sound in Firefox or re-install Chrome. Every time I try to do anything with YUM inside my terminal (like update or install) I keep getting this error:failure: repodata/repomd.xml from virtualbox: No more mirrors to try. I... (2 Replies)
Discussion started by: ApacheOmega
2 Replies

4. Red Hat

Specify version in yum update

Hello All, I am trying to upgrade redhat from 5.6 to 5.8. When i use Code: yum update -y it installs 5.9 I dont want 5.9, instead i would like to upgrade to 5.8 is there anyway to specify a version when you are doing Code: yum update (4 Replies)
Discussion started by: adam25ca
4 Replies

5. Shell Programming and Scripting

Yum update using expect

Hi, I have an expect script which connects to whatever Ip is passed to it. It performs a variety of tasks, all of which it completes fine except for the yum updates. For some reason it sends commands early, during the yum update. Any ideas? Thanks. (2 Replies)
Discussion started by: meor
2 Replies

6. Red Hat

Yum Update and Kernels

I have a server running CentOS 5 and when yum update is run and a new kernel is installed and there are more then 3 kernels installed the oldest ones are removed. Anyway to achieve this with CentOS 4? Matt (1 Reply)
Discussion started by: lforum
1 Replies

7. Linux

Yum update/install script

Any one know of a way to do a yum -install and draw the argument of what to install from a text file? I have a huge list of rpms that I have to install on a bunch of machines and I would like to run one script that goes to each machine and installs all rpms in the list I have. (2 Replies)
Discussion started by: rd42
2 Replies

8. UNIX for Dummies Questions & Answers

Centos commands: Yum Upgrade versus Yum update

Hi, I would like to know the difference between YUM UPDATE and YUM UPGRADE. The man pages say upgrade is same as update with the obsolete option. And by default it says the obsolete option is turned on, which would make them equivalent. Does not say what obsolete does. Can someone please... (3 Replies)
Discussion started by: mojoman
3 Replies

9. Red Hat

Yum Update

I am using Cent OS 5 i need to update proxy server address in yum, i don't know where to update and how exactly i need to specify the proxy address can anyone help me in the issue. (2 Replies)
Discussion started by: praneel2k
2 Replies

10. Linux

update packages with yum

Hello Is there a way to update a package to a specific version with yum? So, I have version 1 of package A installed. Versions 2 and 3 are available, but I only want to upgrade to version 2. Any assistance would be appreciated. Thanks! (1 Reply)
Discussion started by: garskoci
1 Replies

Featured Tech Videos